{% extends 'base/base.html' %}
{%load static %}
{% load my_filters %}


{% block content%}
<script>
    function rotateGif() {
        const overlayImgEnemy = document.getElementById('overlay-img-enemy');
        // Generate a random hue rotation angle between 0 and 360 degrees
        const angle = Math.floor(Math.random() * 360);

        // Apply the hue-rotate filter to the GIF
        overlayImgEnemy.style.filter = `hue-rotate(${angle}deg)`;
      }
</script>
<p></p>
<p></p>
<div id="container">
    <div class="images">

      <img src="{% static 'BG with Tree.png'%}"><img src="{% static "BG with no Tree.png" %}">
      <img id="overlay-img" class="overlay" src="{% static '_idle.gif'%}">
      <img id="overlay-img-enemy" class="overlay_enemy" src="{% static enemy.name%}_idle.gif">
    </div>
  </div>


<div id ="center_container">
<h1>Do A Combat!</h1>
<p></p>
<p>Score: {{stats_object.score}}</p>

<div class="circle-container">
  <div class="circle-progress" style="clip: rect(0, {{ percentage_to_level }}px, 100px, 0)"></div>
</div>

{%if level_up%}
<svg xmlns="http://www.w3.org/2000/svg" xmlns:xlink="http://www.w3.org/1999/xlink" width="100%" height="100%">
  <defs>
    <text id="text" x="50%" y="50%" font-family="Voltaire" font-size="120px" font-weight="800" text-anchor="middle" alignment-baseline="middle">
      You leveled up! Wowee!
    </text>
  </defs>
  <filter id="glow">
      <feGaussianBlur id="glowBlur" stdDeviation="3.5" result="coloredBlur"/>
      <feMerge>
          <feMergeNode in="coloredBlur"/>
          <feMergeNode in="SourceGraphic"/>
      </feMerge>
  </filter>
  <filter id="shock">
    <feTurbulence type="fractalNoise" baseFrequency="0.2" numOctaves="1" seed="2" result="noise" id="noise">
<animate attributeType="XML" attributeName="seed" from="2" to="120" dur="12s" repeatCount="indefinite"/>
</feTurbulence>
    <feMorphology id="morph1" in="SourceGraphic" operator="dilate" radius="10" result="morph1" />
    <feMorphology id="morph2" in="morph1" operator="dilate" radius="2" result="morph2" />
    <feComposite operator="out" in="morph2" in2="morph1" result="strokeText"/>
    <feDisplacementMap
                       xChannelSelector="R"
                       yChannelSelector="G"
                       in="strokeText"
                       in2="noise"
                       result="displacementMap"
                       color-interpolation-filters="sRGB"
                       scale="10" />
          <feGaussianBlur stdDeviation="5" result="coloredBlur"/>
      <feMerge>
          <feMergeNode in="coloredBlur"/>
          <feMergeNode in="displacementMap"/>
      </feMerge>
  </filter>
<filter id="shock2">
    <feTurbulence type="fractalNoise" baseFrequency="0.2" numOctaves="1" seed="2" result="noise" id="noise">
<animate attributeType="XML" attributeName="seed" from="2" to="120" dur="10s" repeatCount="indefinite"/>
</feTurbulence>
    <feMorphology id="morph3" in="SourceGraphic" operator="dilate" radius="1" result="morph1" />
    <feMorphology id="morph4" in="morph1" operator="dilate" radius="1" result="morph2" />
    <feComposite operator="out" in="morph2" in2="morph1" result="strokeText"/>
    <feDisplacementMap
                       xChannelSelector="R"
                       yChannelSelector="G"
                       in="strokeText"
                       in2="noise"
                       result="displacementMap"
                       color-interpolation-filters="sRGB"
                       scale="10" />
          <feGaussianBlur stdDeviation="5" result="coloredBlur"/>
      <feMerge>
          <feMergeNode in="coloredBlur"/>
          <feMergeNode in="displacementMap"/>
      </feMerge>
  </filter>
  <use xlink:href="#text" id="textShock" x="2" y="2" filter="url(#shock)" stroke="0" stroke-width="1" fill="#ccc"/>
<use xlink:href="#text" id="textShock" x="2" y="2" filter="url(#shock2)" stroke="0" stroke-width="1" fill="#f90"/>
  <use xlink:href="#text" id="textFill" x="0" y="0" fill="white" />
  <use xlink:href="#text" id="textGlow" x="0" y="0" filter="url(#glow)" stroke="#f90" stroke-width="0.1" fill="transparent"/>
</svg>

<div id ="fireworks-container">

<div class="fireworks">
  <div class="firework">
    <div class="explosion">
      <div class="spark gold"></div>
    </div>
    <div class="explosion">
      <div class="spark gold"></div>
    </div>
    <div class="explosion">
      <div class="spark gold"></div>
    </div>
    <div class="explosion">
      <div class="spark gold"></div>
    </div>
    <div class="explosion">
      <div class="spark gold"></div>
    </div>
    <div class="explosion">
      <div class="spark gold"></div>
    </div>
    <div class="explosion">
      <div class="spark gold"></div>
    </div>
    <div class="explosion">
      <div class="spark gold"></div>
    </div>
  </div>
  <div class="firework" style="margin-top: -20%">
    <div class="explosion">
      <div class="spark silver"></div>
    </div>
    <div class="explosion">
      <div class="spark silver"></div>
    </div>
    <div class="explosion">
      <div class="spark silver"></div>
    </div>
    <div class="explosion">
      <div class="spark silver"></div>
    </div>
    <div class="explosion">
      <div class="spark silver"></div>
    </div>
    <div class="explosion">
      <div class="spark silver"></div>
    </div>
    <div class="explosion">
      <div class="spark silver"></div>
    </div>
    <div class="explosion">
      <div class="spark silver"></div>
    </div>
  </div>
  <div class="firework">
    <div class="explosion">
      <div class="spark gold"></div>
    </div>
    <div class="explosion">
      <div class="spark gold"></div>
    </div>
    <div class="explosion">
      <div class="spark gold"></div>
    </div>
    <div class="explosion">
      <div class="spark gold"></div>
    </div>
    <div class="explosion">
      <div class="spark gold"></div>
    </div>
    <div class="explosion">
      <div class="spark gold"></div>
    </div>
    <div class="explosion">
      <div class="spark gold"></div>
    </div>
    <div class="explosion">
      <div class="spark gold"></div>
    </div>
  </div>
  <div class="firework" style="margin-top: -20%">
    <div class="explosion">
      <div class="spark silver"></div>
    </div>
    <div class="explosion">
      <div class="spark silver"></div>
    </div>
    <div class="explosion">
      <div class="spark silver"></div>
    </div>
    <div class="explosion">
      <div class="spark silver"></div>
    </div>
    <div class="explosion">
      <div class="spark silver"></div>
    </div>
    <div class="explosion">
      <div class="spark silver"></div>
    </div>
    <div class="explosion">
      <div class="spark silver"></div>
    </div>
    <div class="explosion">
      <div class="spark silver"></div>
    </div>
  </div>
  <div class="firework">
    <div class="explosion">
      <div class="spark gold"></div>
    </div>
    <div class="explosion">
      <div class="spark gold"></div>
    </div>
    <div class="explosion">
      <div class="spark gold"></div>
    </div>
    <div class="explosion">
      <div class="spark gold"></div>
    </div>
    <div class="explosion">
      <div class="spark gold"></div>
    </div>
    <div class="explosion">
      <div class="spark gold"></div>
    </div>
    <div class="explosion">
      <div class="spark gold"></div>
    </div>
    <div class="explosion">
      <div class="spark gold"></div>
    </div>
  </div>
  <div class="firework" style="margin-top: -20%">
    <div class="explosion">
      <div class="spark silver"></div>
    </div>
    <div class="explosion">
      <div class="spark silver"></div>
    </div>
    <div class="explosion">
      <div class="spark silver"></div>
    </div>
    <div class="explosion">
      <div class="spark silver"></div>
    </div>
    <div class="explosion">
      <div class="spark silver"></div>
    </div>
    <div class="explosion">
      <div class="spark silver"></div>
    </div>
    <div class="explosion">
      <div class="spark silver"></div>
    </div>
    <div class="explosion">
      <div class="spark silver"></div>
    </div>
  </div>
  <div class="firework">
    <div class="explosion">
      <div class="spark gold"></div>
    </div>
    <div class="explosion">
      <div class="spark gold"></div>
    </div>
    <div class="explosion">
      <div class="spark gold"></div>
    </div>
    <div class="explosion">
      <div class="spark gold"></div>
    </div>
    <div class="explosion">
      <div class="spark gold"></div>
    </div>
    <div class="explosion">
      <div class="spark gold"></div>
    </div>
    <div class="explosion">
      <div class="spark gold"></div>
    </div>
  </div>
</div>
</div>
{%endif%}
<p></p>

{%if attack and dead%}
<p>You <span class='wavy'>{{random_word}}</span> the {{previous_enemy}} to death!</p>
<p>You gained <span class='experience'>{{previous_experience}}</span> experience points!
{%elif attack and stats_object.current_health <= 0%}
<p>You <span class='wavy'>{{random_word}}</span> the {{enemy.name}}, but they dodge and rip out your throat!</p>
{%elif attack and not dead%}
<p>You <span class='wavy'>{{random_word}}</span> the {{enemy.name}}, doing <span class='blink-soft'>{{request.GET.damage}}</span> damage!</p>
{%elif attack == False%}
<p>You ready yourself against the {{enemy.name}}</p>
{%endif%}


{{stats_object.character_name}}

<p></p>
</div>
<div id='hearts'>
<img src="{% static 'heart.png'%}" width="20" height="20"> :&nbsp;&nbsp;
{% for i in stats_object.current_health|times %}
    <img src="{% static 'redsquare.png' %}">
{% endfor %}

{% for i in health_difference|times %}
    <img src="{% static 'redsquarefade.png' %}">
{% endfor %}
</div>

<p></p>
<div id="center_container">
{%if stats_object.current_health > 0 and dead != True%}
<form id="attack-form" method="post" action="{% url 'update_health' stats_object.id enemy.id %}">
    {% csrf_token %}
    <input type='hidden' name='action' value='attack'>
    <button class="button-89" role="button" type="submit">Attack!</button>

</form>

<script>

    // Get the attack form and overlay image elements
    const attackForm = document.getElementById('attack-form');
    const overlayImg = document.getElementById('overlay-img');
    const overlayImgEnemy = document.getElementById('overlay-img-enemy');

    // Set an event listener to listen for form submission
    attackForm.addEventListener('submit', (event) => {

      // Prevent the form from submitting and reloading the page
      event.preventDefault();

      // Replace the overlay image with the new GIF
      overlayImg.src = "{% static '_attack.gif' %}";
      overlayImgEnemy.src = "{% static enemy.name%}_hurt.gif";

      // Wait for 2 seconds before redirecting to the specified URL
      setTimeout(() => {

        attackForm.submit();
      }, 1000);

    });
  </script>

<p></p>
{%elif dead == True%}
<p>You have slain {{previous_enemy}}</p>
<script>
    const overlayImg = document.getElementById('overlay-img-enemy');
    overlayImg.src = "{% static previous_enemy%}_death.gif";
</script>
<div id='button-container'>
<form>
    <button onclick="rotatehue(event)" class="button-89" role="button" type="submit">Bring me another!</button>
</form>
</div>
<script>
    function rotatehue(event) {
        event.preventDefault();
      const overlayImgEnemy = document.getElementById('overlay-img-enemy');
      // Generate a random hue rotation angle between 0 and 360 degrees
      const angle = Math.floor(Math.random() * 360);

      // Apply the hue-rotate filter to the GIF
      overlayImgEnemy.style.filter = `hue-rotate(${angle}deg)`;
      window.location.href = '{% url 'detail_page' stats_object.id%}'; // Redirects to a new page
    }
    </script>

{%endif%}

{% if stats_object.current_health <= 0%}
    <p>You have died!</p>
    <script>
    const overlayImg = document.getElementById('overlay-img');
    overlayImg.src = "{% static '_death.gif' %}";
    </script>

    <form method="POST" action="{% url 'revive' stats_object.id %}">
        {% csrf_token %}
        <button  class="button-89" role="button" type="submit">Gimme dat Phoenix Down!</button>
    </form>




{%endif%}

{%if dead != True%}
{{enemy.name}}
<p></p>
</div>
<div id='hearts'>
<img src="{% static 'heart.png'%}" width="20" height="20"> :&nbsp;&nbsp;
{% for i in enemy.current_health|times %}
    <img src="{% static 'redsquare.png' %}">
{% endfor %}

{% for i in enemy_health_difference|times %}
    <img src="{% static 'redsquarefade.png' %}">
{% endfor %}

{%endif%}
</div>
<p></p>
<div id= "center_container">


<a href = "{%url 'attribute_stats' stats_object.id %}"> Stats!</a>
<p></p>
<a href = "{%url 'base_page' %}"> Go back!</a>

</div>

{% endblock content%}
